<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" class="main-bg">
	<tr>
		<td style="background-image: url('images/main_ml.gif'); background-position: top left; background-repeat: repeat-y;">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-image: url('images/main_mr.gif'); background-position: right; background-repeat: repeat-y;">
				<tr>
					<td style="background-image: url('images/main_b.gif'); background-position: bottom; background-repeat: repeat-x;">
						<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-image: url('images/main_t.gif'); background-position: top left; background-repeat: repeat-x;">
							<tr>
								<td style="background-image: url('images/main_br.gif'); background-position: bottom right; background-repeat: no-repeat;">
									<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-image: url('images/main_bl.gif'); background-position: bottom left; background-repeat: no-repeat;">
										<tr>
											<td style="background-image: url('images/main_tl.gif'); background-position: top left; background-repeat: no-repeat;">
<TABLE WIDTH="100%" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" style="background-image: url('images/header.jpg'); background-position: top right; background-repeat: no-repeat;">
	<TR>
		<TD colspan="2" height="84" valign="top" style="padding: 27px 45px 13px 18px;">
			<table cellpadding="0" cellspacing="0" border="0" width="100%">
				<tr>
					<td>
						<!-- LOGO -->
						<table cellpadding="0" cellspacing="0" border="0" width="175" height="85" class="logo-bg" style="border: 5px solid white;">
							<tr>
								<td align="center" class="company"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a><br/><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
							</tr>
						</table>
						<!-- END LOGO -->		
					</td>
					<td width="100%">
						<!-- MENU -->
						<table cellpadding="0" cellspacing="0" border="0">
							<tr>
								<td width="10"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
								<xsl:call-template name="TOP-MENU"/>
								<td width="10"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>								
							</tr>
						</table>		
						<!-- END MENU -->		
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch" style="padding-left: 64px;">
			<!-- CONTENT -->
			<div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
			<div style="width:1px; height:15px;"><spacer type="block" width="1" height="15"/></div>
			<xsl:apply-templates select="PAGE-CONTENT"/>
			<!-- END CONTENT -->			
		</TD>
		<TD width="360"  valign="top" style="padding: 230px 40px 0px 10px;">	
		<div class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div>
		<!-- SUBMENU -->		
			<table cellpadding="0" cellspacing="0" width="170" align="right">
				<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
			</table>	
		<!-- END SUBMENU -->
			<div style="width:360px; height:1px;"><spacer type="block" width="360" height="1"/></div>
		</TD>
	</TR>
	<TR>
		<TD colspan="2" height="130" style="padding: 42px 65px 40px 65px;">
		<!-- BOTTOM MENU -->
			<table cellpadding="0" cellspacing="0">
				<tr>
					<xsl:call-template name="BOTTOM-MENU"/>
				</tr>
			</table>	
		<!-- END BOOTTOM MENU -->
		<div style="width:1px; height:5px;"><spacer type="block" width="1" height="5"/></div>
		<!-- FOOTER -->
		<div class="text"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
		<!-- END FOOTER -->
		</TD>
	</TR>
</TABLE>
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>	
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
				<tr>								
					<td style="padding-left: 22px"><img src="images/submenu_bullet.gif" border="0"/></td>
					<td style="padding-left: 5px" height="24" width="100%" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>								
					<td style="padding-left: 22px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
					<td style="padding-left: 5px" height="24" width="100%"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
					<td><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
					<td><img src="images/bmenu_separator.gif" style="margin: 0px 5px 0px 5px;"/></td>
					<td><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
