<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>

</head>

<body background="images/bg.gif" style="margin:0;">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background:url(images/top_bg.jpg) repeat-x top;">
  <tr>
    <td width="45" height="413" valign="top"><img name="" src="" width="45" height="1" alt=""/></td>
    <td height="100%" valign="top" style="background:url(images/headers.jpg) no-repeat top;padding-top:105px;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" >
      <tr>
        <td colspan="3" style="padding-bottom:13px;"><table  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><a href="./"><img src="images/{LOGO/@NAME}" alt="" hspace="8" border="0"/></a></td>
            <td><table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
              </tr>
              <tr>
                <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
        </tr>
      <tr>
        <td width="113"><img src="images/left-top.png" width="113" height="138"/></td>
        <td valign="top" background="images/top.gif"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="49" align="center"><table  border="0" cellspacing="0" cellpadding="0">
              <tr>
<xsl:call-template name="TOP-MENU"/>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td height="18"><img name="" src="" width="1" height="18" alt=""/></td>
          </tr>
          <tr>
            <td height="28" align="center"><table  border="0" cellspacing="0" cellpadding="0">
              <tr>
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
              </tr>
            </table></td>
          </tr>
        </table></td>
        <td width="111"><img src="images/right-top.png" width="111" height="138"/></td>
      </tr>
      <tr>
        <td background="images/left.gif"></td>
        <td height="100%" valign="top" bgcolor="#EBEBEB"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="38" style="padding-bottom:17px;padding-top:6px;"><table  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                <td><img src="images/icon.gif" width="17" height="17" hspace="11"/></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td height="100%" valign="top" class="pageContent" style="padding-bottom:8px;"><xsl:apply-templates select="PAGE-CONTENT"/></td>
          </tr>
        </table></td>
        <td background="images/right.gif"></td>
      </tr>
      <tr>
        <td><img src="images/left-bttom.png" width="113" height="95"/></td>
        <td valign="bottom" background="images/bottom.gif"><table width="100%" height="49"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td align="center" valign="bottom"><table  border="0" cellspacing="0" cellpadding="0">
              <tr>
<xsl:call-template name="BOTTOM-MENU"/>
              </tr>
            </table>
			</td>
          </tr>
          <tr>
            <td align="center" valign="middle" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
          </tr>
        </table></td>
        <td><img src="images/right-bottom.png" width="111" height="95"/></td>
      </tr>
      <tr>
        <td><img name="" src="" width="1" height="15" alt=""/></td>
        <td></td>
        <td></td>
      </tr>
    </table></td>
    <td width="45" valign="top"><img name="" src="" width="45" height="1" alt=""/></td>
  </tr>
</table>
</body>
</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
				<td nowrap="true"><a href="{@HREF}" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
					<td nowrap="true"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
			<td align="center"> <img src="images/submenu_bullet.gif" hspace="10"/></td>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		
			<td align="center" nowrap="true"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			
			<td align="center" class="abmenu" nowrap="true"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            
           </xsl:when>
           <xsl:otherwise>
		   
			<td align="center" nowrap="true"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td align="center"> <img src="images/bottom_bullet.gif" hspace="9"/></td>
			
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>

