<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>
<xsl:template match="LAYOUT">
<xsl:variable name="cID" select="@ID"/>

<html>
<head>
<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
</head>

<body style="margin:0; ">
<table width="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td valign="top">
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="317" colspan="2" valign="top" style="background:url('images/header_1.gif'); background-repeat:repeat-x;">
		<table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td align="right" valign="bottom" height="317" style="background:url('images/header.jpg') no-repeat;">
            <table  border="0" cellspacing="0" cellpadding="0">
              <tr>
             
                <td align="right"><div style="width:400px;" ></div></td>
                <td height="192" align="right">
	<!--LOGO -->
	        <table  border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td width="50" rowspan="2" style="padding-right:10px; ">
                    <a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
                    <td class="company" valign="bottom" align="left" style="padding-right:10px; ">
                     <xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
                    </td>
                    <td width="44" rowspan="2"><div style="width:44px;" ></div></td>
                  </tr>
                  <tr>
                    <td class="slogan" align="left" valign="top">
                     <xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
                    </td>
                    </tr>
                </table>
      <!-- END LOGO -->
				</td>
              </tr>
              <tr>
              
                <td align="right"></td>
                <td height="40" align="right">
	<!--MENU -->
		<table border="0" cellspacing="0" cellpadding="0" >
                  <tr>
                   <xsl:call-template name="TOP-MENU"/>
                  </tr>
                </table>
	<!-- END MENU -->
		</td>
              </tr>
              <tr>
                <td height="83"></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td width="20%" height="100%" valign="top" style="background:url('images/bg.gif');">
		<table width="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td style="background:url('images/bg1.gif');"><table width="100%"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td width="10"><div style="width:10px; "></div></td>
                <td>
	<!-- END SUBMENU -->
		<table width="100%"  border="0" cellspacing="6" cellpadding="0">
                  <xsl:call-template name="SUB-MENU">
               	  <xsl:with-param name="pageID" select="@ID"/>                            
                  </xsl:call-template>  
                </table>
	<!-- END SUBMENU -->
	       </td>
                <td><div style="width:10px; "></div></td>
              </tr>
              <tr>
                <td style="background:url('images/bg2.gif') no-repeat; background-position:right;" height="23" colspan="3">
                </td>
              </tr>
            </table>
            </td>
        </tr>
        </table> 
		</td>
        <td height="100%" valign="top" style="background:url('images/bg.gif');"><table width="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="49" style="background:url('images/text_bg2.gif');"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td height="49" valign="bottom" style="background:url('images/text_bg1.gif') no-repeat;">
	<!--TEXT HEADER -->
		<table border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td style="padding-left: 20px;" height="40"><div style="width:20px; ">
                      <img src="images/text_button.gif" width="5" height="5" border="0" alt=""/></div></td>
                      <td class="text-header">
                       <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
                      </td>
                    </tr>
                  </table>
	<!-- END TEXT HEADER -->
				  </td>
                </tr>
            </table></td>
          </tr>
          <tr>
		 <!-- CONTENT -->
            <td height="270" valign="top"  style="padding-right: 50px;padding-left: 40px;padding-top: 10px;" class="pageContent" name="SB_stretch">
            
                <xsl:apply-templates select="PAGE-CONTENT"/>
                </td>
		<!-- END CONTENT -->
          </tr>
        </table></td>
      </tr>
      <tr >
        <td height="28" align="center" colspan="2" style="background:url('images/bottom_bg.gif'); background-repeat:repeat-x;">
<!-- BOOTTOM MENU -->
	<table  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <xsl:call-template name="BOTTOM-MENU"/>
          </tr>
        </table>
<!-- END BOOTTOM MENU -->
		</td>
        </tr>
      <tr>
        <td height="46" colspan="2" style="background:url('images/bg.gif') ;">
<!-- FOOTER -->
<table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td align="center" class="footer">
            <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
            </td>
          </tr>
        </table>
  <!-- END FOOTER -->
		</td>
        </tr>
    </table></td>
  </tr>
</table>
</body>
</html>



</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td style="padding-left: 10px;">
				<img src="images/button_sub.gif" border="0" alt=""/>
				</td>
				<td class="asubmenu" style="padding-right: 5px; width: 100%;">
				<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
				</td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
				
				        <td style="padding-left: 10px;">
				        <a href="{@HREF}">
				           <img src="images/button_sub.gif" border="0" alt=""/>
				        </a>
				        </td>
					<td style="padding-right: 5px; width: 100%;">
					<a href="{@HREF}" class="submenu">
					   <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
					</a>
				    </td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	  <tr>
	      <td colspan="2" style="background:url('images/hr.gif');background-repeat:repeat-x;background-position:center;" width="100%">
              <div style="height:1px"></div>
              </td>	
	 </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		
			<td align="left">
			  <a href="{@HREF}" class="bmenu">
			  <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
			  </a>
			</td>
            
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			
			<td align="left" class="abmenu">
			<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
			</td>
            
           </xsl:when>
           <xsl:otherwise>
		   
		<td align="left">
			<a href="{@HREF}" class="bmenu">
			<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
			</a>
		</td>
           
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="20px" align="center" rowspan="2">
			    <img src="images/bottom.gif" />
			</td>
			
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>

