<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0;" bgcolor="#FFFFFF">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="102"><img src="images/left_corner.jpg" width="102" height="105"/></td>
        <td background="images/menu_bg.jpg"><table width="100%" height="105"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td valign="top" style="background:url(images/headers_2.jpg) no-repeat left;"><table height="50"  border="0" cellpadding="0" cellspacing="0">
              <tr>
<xsl:call-template name="TOP-MENU"/>
                </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="207" background="images/headers_1.jpg"><table width="100%" height="207" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td valign="top" style="background:url(images/headers.jpg) no-repeat left;padding-left:31px;padding-top:39px;"><table  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><a href="./"><img src="images/{LOGO/@NAME}" alt="" hspace="5" border="0"/></a></td>
            <td><table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
              </tr>
              <tr>
                <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="100%" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="220" valign="top" >
		<img name="" src="" width="220" height="1" alt=""/>
		<table width="100%" height="410"  border="0" cellpadding="0" cellspacing="0" background="images/submenu_bg.jpg">
          <tr>
            <td height="313" valign="top" style="background:url(images/submenu.jpg) no-repeat bottom;">
			<table width="100%"  border="0" cellspacing="0" cellpadding="0">
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
            </table></td>
          </tr>
        </table></td>
        <td height="100%" valign="top" style="background:url(images/headers_3.jpg) no-repeat; padding:18px 39px 0px 39px;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="21"><table  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                <td><img src="images/icon.gif" width="17" height="17" hspace="11"/></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td height="563" valign="top" class="pageContent" style="padding-top:17px;"><xsl:apply-templates select="PAGE-CONTENT"/> </td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="66" align="center"><table  border="0" cellspacing="0" cellpadding="0">
      <tr>
<xsl:call-template name="BOTTOM-MENU"/>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="1" bgcolor="#E5E5E5"></td>
  </tr>
  <tr>
    <td height="59" align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
  </tr>
</table>
</body>

	</html>
</xsl:template>

<!-- TOP-MENU-->
<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>
<!-- END TOP-MENU-->


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<!-- SUB-MENU-->	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
	<xsl:when test="@ID=/LAYOUT/@ID" >
	
	  <!-- sub-menu with link-->	
      <tr>
   <td colspan="2" background="images/asub_bg.gif">
	<table width="100%" border="0" cellspacing="0" cellpadding="0">	      
		  <tr>
        <td style="padding-left:100px;"><a href="{@HREF}" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
        <td height="28" style="padding-right:9px;"><img src="images/subullet.gif" width="7" height="9"/></td>
   
      </tr> 
    </table>
	</td>
  </tr>
	  <!--end-->
	  
		
	</xsl:when>
	<xsl:otherwise>
	<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	
	  <!--sub-menu without link-->


      <tr>
        <td style="padding-left:100px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
        <td height="28" style="padding-right:9px;"><img src="images/subullet.gif" width="7" height="9"/></td>
		      </tr>


      
	  <!--end-->
	  
	  
	</xsl:if>
	</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	 
	  <!-- sub-menu no last-->
      <tr>
                <td colspan="2"><img src="images/sub_line.gif" width="220" height="2"/></td>
				  </tr>
	  <!--end-->
	  
	
</xsl:if>
</xsl:template>	
<!--END SUB-MENU-->


<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>


<!-- BOTTOM-MENU-->		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
	   
		<!-- bottom-menu with link-->
        <td width="15" align="right" valign="middle" class="iconfoot" ><img src="images/bmenu_bullet.gif" hspace="4"/></td>
                <td align="left" style="padding-right:65px;"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</a></td>
		<!--end-->
		
		
        </xsl:when>
		<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
		 
		<!-- bottom-menu without link--> 
         <td width="15" align="right" valign="middle" class="iconfoot"><img src="images/bmenu_bullet.gif" hspace="4"/></td>
                <td align="left" style="padding-right:65px;"><span class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</span></td>
		<!--end-->
		
		
		</xsl:when>
	    <xsl:otherwise>
		  
		<!-- bottom-menu click link-->  
        <td width="15" align="right" valign="middle" class="iconfoot" ><img src="images/bmenu_bullet.gif" hspace="4"/></td>
                <td align="left" style="padding-right:65px;"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</a></td>
		<!--end-->
		
		
		</xsl:otherwise>
        </xsl:choose>
	    <xsl:if test="position()!=last()">
		
		<!-- bottom-menu no last-->
        
		<!--end-->
		
		</xsl:if>
</xsl:template>
<!--END BOTTOM-MENU-->
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
