<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<xsl:include href="headers.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%"><tr><td class="footer-bg" style="background-image: url('images/mbg.gif'); background-repeat: repeat-x;">
        <TABLE WIDTH="780" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" border="0" style="background-color:  white; background-image:  url('images/header.jpg'); background-repeat: no-repeat;">
        	<TR>
        		<TD colspan="2" width="780" height="321" valign="top">
        		<!-- LOGO -->
        			<table cellpadding="0" cellspacing="0" border="0">
						<tr><td colspan="4" height="50%"></td></tr>
        				<tr>
        					<td width="65"></td>
							<td><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
        					<td class="company" style="padding: 0px 15px 0px 10px;"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
        					<td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
        				</tr>
						<tr><td colspan="4" height="50%"></td></tr>
        			</table>
        		<!-- END LOGO -->
        		<!-- </TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="780" height="73" valign="bottom" style="padding-left:40px;padding-bottom:8px;"> -->
        		<!-- MENU -->
        			<!-- CALL TOP-MENU -->
        			<div style="padding-left:40px;padding-bottom:8px;">
						<xsl:call-template name="TOP-MENU"/>
					</div>
        		<!-- END MENU -->
        		</TD>
        	</TR>
        	<!-- <TR><TD colspan="2" height="175"></TD></TR> -->
        	<TR>
        		<TD valign="top" width="568" height="100%">
        		<!-- CONTENT -->
        			<table cellpadding="0" cellspacing="0" width="568" height="100%">
        				<tr>
        					<td width="40" class="lbg" style="background-image: url('images/tbg.gif'); background-repeat: repeat-x;"></td>
        					<td width="20"></td>
        					<td width="508" valign="top">
        						<table cellpadding="0" cellspacing="0" width="508">
        							<tr><td height="30"></td></tr>
        							<tr><td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td></tr>
        							<tr><td height="15"></td></tr>
        							<tr>
        								<td class="text" width="508" valign="top">
        									<xsl:apply-templates select="PAGE-CONTENT"/>
        								</td>
        							</tr>
        							<tr><td height="20"></td></tr>
        						</table>
        					</td>
        				</tr>
        			</table>	
        		<!-- END CONTENT -->
        		</TD>
        		<TD valign="top" width="212" height="100%" style="background-image: url('images/rbg.gif'); background-position: right; background-repeat: repeat-y;">
        		<!-- SUBMENU -->
        			<table cellpadding="0" cellspacing="0" width="212" height="345" border="0" style="background-image: url('images/submenu_bg.gif'); background-position: right; background-repeat: repeat-y;">
        				<tr>
        					<td style="background-image: url('images/submenu_bbg.gif'); background-position: bottom; background-repeat: no-repeat; padding:0px 35px 0px 45px;" valign="top">
        						<!-- CALL SUB-MENU -->
        						<xsl:call-template name="SUB-MENU">
        							<xsl:with-param name="pageID" select="@ID"/>
        						</xsl:call-template>
        					</td>
        				</tr>
        			</table>
        		<!-- END SUBMENU -->
        		</TD>
        	</TR>
        	<TR><TD colspan="2" height="7"><img src="images/hr.gif"/><br /></TD></TR>
        	<TR>
        		<TD colspan="2" width="780" height="42" class="footer-bg">
        		<!-- BOTTOM MENU -->
        			<!-- CALL BOTTOM-MENU -->
        			<xsl:call-template name="BOTTOM-MENU"/>
        		<!-- END BOOTTOM MENU -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="780" height="44" class="footer-bg" align="center" valign="top">
        		<!-- FOOTER -->
        			<span class="footer">
        				<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
        			</span>
        		<!-- END FOOTER -->
        		</TD>
        	</TR>
        </TABLE>
		</td></tr></table>
        </BODY>
		</html>

	</xsl:template>

   				
	<!--TOP-MENU-->

	<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>			
	</xsl:template>
  
			
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="BOTTOM-MENU">
   		<table cellpadding="0" cellspacing="0" align="center">
   			<tr>
				<xsl:apply-templates select="MENU" mode="bottom"/>			
   			</tr>
   		</table>	
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU-ITEM"  mode="bottom">
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
   				<td><a href="#" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:when>
            <!-- when active-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
				<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            </xsl:when>
            <xsl:otherwise>
   				<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:otherwise>
        </xsl:choose>
        <xsl:if test="position()!=last()">
   			<td width="5"></td>
   			<td><img src="images/bmenu_separator.gif" style="margin: 0px 5px 0px 5px;"/></td>
   			<td width="5"></td>
        </xsl:if>
	</xsl:template>

	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
