<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

  <xsl:output method="html" indent="no"/>
  <xsl:strip-space elements="*"/>
  <xsl:include href="buttons.xsl"/>

  <xsl:template match="LAYOUT">
    <xsl:variable name="cID" select="@ID"/>
    <html>
      <head>
        <link href="css/styles.css" rel="stylesheet" type="text/css" />
        <title>
          <xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        </title>
        <xsl:apply-templates select="META-TAGS"/>
      </head>
      <body rightmargin="0" leftmargin="0" topmargin="0" bottommargin="0">
        <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
          <tr>
            <td height="262px" width="100%">
              <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                <tr>
                  <td height="40px" width="100%">
                    <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                      <tr>
                        <td width="100%" height="40px" style="background-image: url(images/vap-63_01.jpg)"
                            align="center">
                          <!--TOP MENU-->
                          <table border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/vap-63_01.jpg); padding:5px 5px 5px 5px">
                            <tr>
                              <xsl:call-template name="TOP-MENU"/>
                            </tr>
                          </table>
                          <!--END TOP MENU-->
                        </td>
                        <td width="157px" height="40px" style="vertical-align: top; background-position: bottom;
                                        background-image: url(images/header1.jpg); background-repeat: no-repeat;"
                            class="main-bg">
                          <div style="width: 157px">
                          </div>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
                <tr>
                  <td height="222px" width="100%">
                    <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                      <tr>
                        <td width="100%" height="222px">
                          <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                            <tr>
                              <td colspan="2" width="100%" height="176px" style="background-image: url(images/top2.jpg);">
                                <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                                  <tr>
                                    <td style="background-image: url(images/top1.jpg);background-position:left;background-repeat:no-repeat" width="100%" height="100%">
                                      <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                                        <tr>
                                          <td style="background-image: url(images/top3.jpg);background-position:right;background-repeat:no-repeat;
                                                    padding-left: 20px" align="left" valign="middle" width="100%" height="100%">
                                      <!--LOGO-->
                                  <table border="0" cellpadding="0" cellspacing="0">
                                    <tr>
                                      <td>
                                        <a href="./"><img src="images/{LOGO/@NAME}" border="0" /></a>
                                      </td>
                                      <td class="company" style="padding-left: 10px;text-align:center;padding-right:10px" >
                                        <xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
                                      </td>
                                      <td>
                                        <img src="images/logohr.jpg" />
                                      </td>
                                      <td class="slogan" style="padding-left: 10px;text-align:center;padding-right:10px" >
                                        <xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
                                      </td>
                                    </tr>
                                  </table>
                                  <!--END LOGO-->
                                          </td>
                                        </tr>
                                      </table>
                                    </td>
                                  </tr>
                                </table>
                              </td>
                            </tr>
                            <tr>
                              <td width="208px" height="46px" style="vertical-align: top; background-image: url(images/vap-63_09.jpg);background-position:left;background-repeat:no-repeat">
                                <div style="width: 208px">
                                </div>
                              </td>
                              <td width="100%" height="46px" style="vertical-align: top; background-image: url(images/vap-63_10.jpg);
                                                    padding-left: 30px; padding-top: 5px;background-position:left;background-repeat:no-repeat" align="left" valign="top" class="content-bg">
                                
                                <table border="0" cellpadding="0" cellspacing="0">
                                  <tr>
                                    <!--TEXT HEADER-->
                                    <td class="text-header" style="padding-top:8px">
                                      <xsl:value-of select="@TITLE" disable-output-escaping="yes"/> :
                                    </td>
                                    <!--END TEXT HEADER-->
                                  </tr>
                                </table>
                                <div style="width: 334px"/>
                              </td>
                            </tr>
                          </table>
                        </td>
                        <td width="100%" height="222px">
                          <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                            <tr>
                              <td width="100%" height="170px">
                                <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                                  <tr>
                                    <td width="6px" height="170px" style="vertical-align: top; background-image: url(images/vap-63_05.jpg);">
                                      <div style="width: 6px">
                                      </div>
                                    </td>
                                    <td width="202px" height="170px" style="vertical-align: top; background-image: url(images/header2.jpg);">
                                      <div style="width: 202px">
                                      </div>
                                    </td>
                                  </tr>
                                </table>
                              </td>
                            </tr>
                            <tr>
                              <td width="100%" height="52px">
                                <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                                  <tr>
                                    <td width="100%" height="52px" style="vertical-align: top; background-image: url(images/vap-63_07.jpg);">
                                      <div style="width: 140px">
                                      </div>
                                    </td>
                                    <td width="68px" height="52px" style="vertical-align: top; background-image: url(images/vap-63_08.jpg);">
                                      <div style="width: 68px">
                                      </div>
                                    </td>
                                  </tr>
                                </table>
                              </td>
                            </tr>
                          </table>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td height="100%" width="100%">
              <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                <tr>
                  <td width="23px" height="100%">
                    <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                      <tr>
                        <td width="23px" height="50px" style="background-image: url(images/vap-63_11.jpg);
                                        vertical-align: top; ">
                          <div style="width: 23px">
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td width="23px" height="100%" style="background-image: url(images/vap-63_16.jpg);
                                        vertical-align: top; ">
                          <div style="width: 23px; height: 7px">
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td width="23px" height="50px" style="background-image: url(images/vap-63_17.jpg);
                                        vertical-align: top; ">
                          <div style="width: 23px">
                          </div>
                        </td>
                      </tr>
                    </table>
                  </td>
                  <td width="100%" height="100%">
                    <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                      <tr>
                        <td width="210px" height="100%">
                          <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                            <tr>
                              <td width="210px" height="100%">
                                <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                                  <tr>
                                    <td width="100%" height="100%" class="submenu-bg" valign="top">
                                      <!--SUBMENU-->
                                      <table border="0" cellpadding="0" cellspacing="0" width="177px">
                                        <xsl:call-template name="SUB-MENU">
                                          <xsl:with-param name="pageID" select="@ID"/>
                                        </xsl:call-template>
                                      </table>
                                      <!--END SUBMENU-->
                                    </td>
                                    <td width="33px" height="100%" style="background-image: url(images/vap-63_13.jpg);
                                                                vertical-align: top; ">
                                      <div style="width: 33px; height: 20px">
                                      </div>
                                    </td>
                                  </tr>
                                </table>
                              </td>
                            </tr>
                            <tr>
                              <td width="210px" height="54px" style="background-image: url(images/vap-63_15.jpg);
                                                    vertical-align: top; ">
                                <div style="width: 210px">
                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td width="210px" height="100%" style="background-image: url(images/vap-63_18.jpg);
                                                    background-repeat: no-repeat; background-position: bottom;" class="content-bg">
                                <div style="width: 210px; height: 70px; vertical-align: top;">
                                </div>
                              </td>
                            </tr>
                          </table>
                        </td>
                        <!--CONTENT-->
                        <td width="100%" height="100%" style="vertical-align: top;padding-left:10px; padding-right:25px" class="content-bg pageContent" name="SB_stretch">
                          <div style="width: 450px">
                          </div>
                          <xsl:apply-templates select="PAGE-CONTENT"/>
                        </td>
                        <!--END CONTENT-->
                      </tr>
                    </table>
                  </td>
                  <td width="23px" height="100%">
                    <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                      <tr>
                        <td width="23px" height="50px" style="background-image: url(images/vap-63_11.jpg);
                                        vertical-align: top; ">
                          <div style="width: 23px">
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td width="23px" height="100%" style="background-image: url(images/vap-63_16.jpg);
                                        vertical-align: top; ">
                          <div style="width: 23px; height: 7px">
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td width="23px" height="50px" style="background-image: url(images/vap-63_17.jpg);
                                        vertical-align: top; ">
                          <div style="width: 23px">
                          </div>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td height="86px" width="100%" style="background-image: url(images/vap-63_19.jpg);
                vertical-align: top;padding:20px 5px 5px 5px" align="center">
              <div style="width: 86px">
              </div>
              <table border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td height="13px">
                    <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                      <tr>
                        <xsl:call-template name="BOTTOM-MENU"/>
                      </tr>
                    </table>
                  </td>
                </tr>
                <tr>
                  <td align="center" class="footer" style="padding:8px 5px 5px 5px">
                    <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </body>
    </html>

  </xsl:template>


  <xsl:template name="TOP-MENU">
    <xsl:apply-templates select="MENU" mode="top"/>
  </xsl:template>


  <xsl:template name="SUB-MENU">
    <xsl:param name="pageID"/>
    <xsl:choose>
      <xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
      </xsl:when>
      <xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
        <xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="MENU-ITEM" mode="sub">
    <xsl:choose>
      <xsl:when test="@ID=/LAYOUT/@ID" >
        <tr>
          <td style="background-image: url(images/submenu1.jpg); padding-left: 55px">
            <img src="images/submenu.jpg" />
          </td>
          <td class="submenu " style="background-image: url(images/submenu2.jpg);padding-top:2px;padding-bottom:3px">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </td>
        </tr>
      </xsl:when>
      <xsl:otherwise>
        <xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
          <tr>
            <td style="background-image: url(images/submenu1.jpg)" width="69px">
              <a href="{@HREF}" style="padding-left: 55px">
                <img src="images/submenu.jpg" border="0" />
              </a>
            </td>
            <td style="background-image: url(images/submenu2.jpg);padding-top:2px;padding-bottom:3px" >
              <a class="asubmenu " href="{@HREF}">
                <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
              </a>
            </td>
          </tr>
        </xsl:if>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <tr>
        <td colspan="2" height="2" style="background-image: url(images/submenu-hr.jpg)">
        </td>
      </tr>
    </xsl:if>
  </xsl:template>

  <xsl:template name="BOTTOM-MENU">
    <xsl:apply-templates select="MENU" mode="bottom"/>
  </xsl:template>

  <xsl:template match="MENU" mode="bottom">
    <xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
  </xsl:template>

  <xsl:template match="MENU-ITEM"  mode="bottom">
    <xsl:choose>
      <!-- when vizited inside-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
        <td style="padding-left:11px; padding-right:11px;text-align: center;">
          <a href="{@HREF}" class="bmenu" >
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
      </xsl:when>
      <!-- when active-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        <td style="padding-left:11px; padding-right:11px;text-align: center;" class="bmenu">
          <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        </td>
      </xsl:when>
      <xsl:otherwise>
        <td style="padding-left:11px; padding-right:11px;text-align: center;">
          <a href="{@HREF}" class="abmenu" >
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <td>
        <img src="images/bottom.jpg" />
      </td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="META-TAGS">
    <xsl:apply-templates mode="meta-tags"/>
  </xsl:template>

  <xsl:template match="*" mode="meta-tags">
    <meta name="{local-name(.)}">
      <xsl:attribute name="content">
        <xsl:value-of select="."/>
      </xsl:attribute>
    </meta>
  </xsl:template>


  <xsl:template match="PAGE-CONTENT">
    <xsl:comment> EDITABLE CONTENT </xsl:comment>
    <xsl:apply-templates mode="meta-tags"/>
  </xsl:template>

</xsl:stylesheet>

