<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
	<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
	</title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
  <tr>
    <td height="46" align="left">
	<table width="100%" height="120"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/logobg.jpg);background-repeat: no-repeat;background-position: right top;">
<tr><td>
<table>
      <tr>
        <td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
        <td class="company" align="left"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
      </tr>
</table>
</td></tr>
    </table></td>
  </tr>
  <tr>
    <td height="46" align="left"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="13" background="images/tmenu1.gif"><img src="images/space.gif" width="15" height="13"/></td>
      </tr>
      <tr>
        <td height="28" align="left" background="images/tmenubg.gif"><table  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="48"><img src="images/space.gif" width="48" height="12"/></td>
            <xsl:call-template name="TOP-MENU"/>
            <td width="20"><img src="images/space.gif" width="20" height="12"/></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="9" background="images/tmenu3.gif"><img src="images/tmenu3.gif" width="5" height="9"/></td>
      </tr>
    </table>
    </td>
  </tr>
  <tr>
    <td height="155" align="left" valign="top" background="images/headerbg.jpg">
	<table width="100%" height="155"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/header.jpg);background-repeat: no-repeat;background-position: left top;">
      <tr>
        <td align="left" valign="middle"><table width="55%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table></td>
        </tr>
    </table></td>
  </tr>
  <tr>
    <td height="100%" align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="177" align="right" valign="top" style="background-image: url(images/leftsub.gif);background-repeat: no-repeat;background-position: left top;">
          <table width="85%"  border="0" cellspacing="0" cellpadding="0">
            <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
          </table>
          <img src="images/space.gif" width="177" height="1"/></td>
        <td width="42" align="left" valign="top"><img src="images/left.gif" width="42" height="279"/></td>
        <td width="100%" height="100%" align="left" valign="top">
		<br/>
		<table border="0" cellpadding="0" cellspacing="0">
          <tr>
		   <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            <td align="left"><img src="images/text_icon.gif" width="17" height="17"/></td>
          </tr>
        </table>
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
<tr>
<td width="100%" height="100%" align="left" valign="top" class="pageContent" name="SB_stretch">
	<xsl:apply-templates select="PAGE-CONTENT"/>
</td>
</tr>
</table>
		</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="50" align="left" valign="top" background="images/down.gif">
	  <table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="15" align="center"><img src="images/space.gif" width="770" height="15"/></td>
        </tr>
        <tr>
          <td align="left" valign="top"><table  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="44"><img src="images/space.gif" width="44" height="12"/></td>
              <xsl:call-template name="BOTTOM-MENU"/>
              <td width="20"><img src="images/space.gif" width="20" height="12"/></td>
            </tr>
          </table>
            <table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td align="left" class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
              </tr>
          </table></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
</BODY>
	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
<td width="8"><img src="images/subicon.gif" width="8" height="7"/></td>
<td class="smenu"><span class="smenub">
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<tr>
<td width="8"><img src="images/subicon.gif" width="8" height="7"/></td>
<td class="smenu">
<a href="{@HREF}" class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
</td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	<tr>
              <td height="11" colspan="2" align="right"><img src="images/subline.gif" width="151" height="11"/></td>
            </tr>
	</xsl:if>
</xsl:template>	
<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		<td class="bmenu"><a href="{@HREF}" class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        <td class="bmenu"><span class="bmenub"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
           </xsl:when>
           <xsl:otherwise>
		<td class="bmenu"><a href="{@HREF}" class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
		<td align="center"><img src="images/bmenu.gif" width="16" height="8" hspace="13"/></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>

<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
